Subject: Re: [GSoC PATCH] t9200: use helpers to replace test -f <path> and test -d <path>

From: Junio C Hamano <[email-masked]>
Date: Mon, 09 Mar 2026 08:20:29 -0700

Pablo Sabater <[email-masked]> writes:

> Replaced 'test -f' and 'test -d' with 'test_path_is_file' and 'test_path_is_dir'
>
> I've used 'git grep "test -f" t/t9*.sh' to find a file without the fix done as specified on the microproject information
> I've done '9*' because the ones I've found first had already fix patches.
> I've taken as example another patch sent 't4131' from Junio C Hamano https://lore.kernel.org/git/[email-masked]/#r

After studying Documentation/{SubmittingPatches,CodingGuidelines},
use the list archive to find what instructions GSoC participant
candidates have received regarding the proposed log messages in
their microproject submissions.

Thanks.